# class Joystick

#### package lime.ui

Available on all platforms

### Constructor

###

`new (id:Int)`

### Variables

###

`read onlyconnected:Bool`

###

`read onlyguid:String`

###

`read onlyid:Int`

###

`read onlyname:String`

###

`read onlynumAxes:Int`

###

`read onlynumButtons:Int`

###

`read onlynumHats:Int`

###

`read onlynumTrackballs:Int`

###

`onAxisMove:Event<Int ‑> Float ‑> Void> = new Event<Int -> Float>()`

###

`onButtonDown:Event<Int ‑> Void> = new Event<Int>()`

###

`onButtonUp:Event<Int ‑> Void> = new Event<Int>()`

###

`onDisconnect:Event<Void ‑> Void> = new Event<Void>()`

###

`onHatMove:Event<Int ‑> JoystickHatPosition ‑> Void> = new Event<Int -> JoystickHatPosition>()`

###

`onTrackballMove:Event<Int ‑> Float ‑> Float ‑> Void> = new Event<Int -> Float -> Float>()`

### Static variables

###

`staticdevices:Map<Int, Joystick> = new Map<Int,Joystick>()`

###

`staticonConnect:Event<Joystick ‑> Void> = new Event<Joystick>()`